import 'package:json_annotation/json_annotation.dart';

part 'user_register_params.g.dart';

@JsonSerializable()
class UserRegisterParams extends Object {
  @JsonKey(name: 'account')
  String account;

  @JsonKey(name: 'password')
  String password;

  UserRegisterParams({
    required this.account,
    required this.password,
  });

  factory UserRegisterParams.fromJson(Map<String, dynamic> srcJson) => _$UserRegisterParamsFromJson(srcJson);

  Map<String, dynamic> toJson() => _$UserRegisterParamsToJson(this);
}
